Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
7f12ced973e41408b880926dfda2e4c685ca6b5d
[simgrid.git] / testsuite / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 VPATH = @srcdir@
22 pkgdatadir = $(datadir)/@PACKAGE@
23 pkglibdir = $(libdir)/@PACKAGE@
24 pkgincludedir = $(includedir)/@PACKAGE@
25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 build_triplet = @build@
38 host_triplet = @host@
39 target_triplet = @target@
40 check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3) \
41         $(am__EXEEXT_4)
42 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
43         $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
44 subdir = testsuite
45 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
46 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
47         $(top_srcdir)/acmacro/compiler-flags.m4 \
48         $(top_srcdir)/acmacro/context.m4 \
49         $(top_srcdir)/acmacro/fancy_configury.m4 \
50         $(top_srcdir)/acmacro/flex.m4 \
51         $(top_srcdir)/acmacro/gras_arch.m4 \
52         $(top_srcdir)/acmacro/print_null.m4 \
53         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
54 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
55         $(ACLOCAL_M4)
56 mkinstalldirs = $(install_sh) -d
57 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
58 CONFIG_CLEAN_FILES = run_tests
59 am__EXEEXT_1 = xbt/log_usage$(EXEEXT) xbt/heap_bench$(EXEEXT) \
60         xbt/graphxml_usage$(EXEEXT) xbt/context_usage$(EXEEXT)
61 am__EXEEXT_2 = gras/trp_tcp_client$(EXEEXT) \
62         gras/trp_tcp_server$(EXEEXT) gras/trp_file_client$(EXEEXT) \
63         gras/trp_file_server$(EXEEXT) gras/datadesc_usage$(EXEEXT)
64 am__EXEEXT_3 = surf/maxmin_usage$(EXEEXT) surf/maxmin_bench$(EXEEXT) \
65         surf/simeng_usage$(EXEEXT) surf/trace_usage$(EXEEXT) \
66         surf/surf_usage$(EXEEXT) surf/surf_usage2$(EXEEXT)
67 am__EXEEXT_4 = simdag/sd_test$(EXEEXT)
68 am_gras_datadesc_usage_OBJECTS = datadesc_usage.$(OBJEXT) \
69         datadesc_structs.$(OBJEXT)
70 gras_datadesc_usage_OBJECTS = $(am_gras_datadesc_usage_OBJECTS)
71 gras_datadesc_usage_DEPENDENCIES = $(LDADD_RL)
72 am__dirstamp = $(am__leading_dot)dirstamp
73 gras_trp_file_client_SOURCES = gras/trp_file_client.c
74 gras_trp_file_client_OBJECTS = trp_file_client.$(OBJEXT)
75 gras_trp_file_client_DEPENDENCIES = $(LDADD_RL)
76 gras_trp_file_server_SOURCES = gras/trp_file_server.c
77 gras_trp_file_server_OBJECTS = trp_file_server.$(OBJEXT)
78 gras_trp_file_server_DEPENDENCIES = $(LDADD_RL)
79 gras_trp_tcp_client_SOURCES = gras/trp_tcp_client.c
80 gras_trp_tcp_client_OBJECTS = trp_tcp_client.$(OBJEXT)
81 gras_trp_tcp_client_DEPENDENCIES = $(LDADD_RL)
82 gras_trp_tcp_server_SOURCES = gras/trp_tcp_server.c
83 gras_trp_tcp_server_OBJECTS = trp_tcp_server.$(OBJEXT)
84 gras_trp_tcp_server_DEPENDENCIES = $(LDADD_RL)
85 simdag_sd_test_SOURCES = simdag/sd_test.c
86 simdag_sd_test_OBJECTS = sd_test.$(OBJEXT)
87 simdag_sd_test_DEPENDENCIES = $(LDADD_SG)
88 surf_maxmin_bench_SOURCES = surf/maxmin_bench.c
89 surf_maxmin_bench_OBJECTS = maxmin_bench.$(OBJEXT)
90 surf_maxmin_bench_DEPENDENCIES = $(LDADD_SG)
91 surf_maxmin_usage_SOURCES = surf/maxmin_usage.c
92 surf_maxmin_usage_OBJECTS = maxmin_usage.$(OBJEXT)
93 surf_maxmin_usage_DEPENDENCIES = $(LDADD_SG)
94 surf_simeng_usage_SOURCES = surf/simeng_usage.c
95 surf_simeng_usage_OBJECTS = simeng_usage.$(OBJEXT)
96 surf_simeng_usage_DEPENDENCIES = $(LDADD_SG)
97 surf_surf_usage_SOURCES = surf/surf_usage.c
98 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
99 surf_surf_usage_DEPENDENCIES = $(LDADD_SG)
100 surf_surf_usage2_SOURCES = surf/surf_usage2.c
101 surf_surf_usage2_OBJECTS = surf_usage2.$(OBJEXT)
102 surf_surf_usage2_DEPENDENCIES = $(LDADD_SG)
103 surf_trace_usage_SOURCES = surf/trace_usage.c
104 surf_trace_usage_OBJECTS = trace_usage.$(OBJEXT)
105 surf_trace_usage_DEPENDENCIES = $(LDADD_SG)
106 xbt_context_usage_SOURCES = xbt/context_usage.c
107 xbt_context_usage_OBJECTS = context_usage.$(OBJEXT)
108 xbt_context_usage_DEPENDENCIES = $(LDADD_SG)
109 xbt_graphxml_usage_SOURCES = xbt/graphxml_usage.c
110 xbt_graphxml_usage_OBJECTS = graphxml_usage.$(OBJEXT)
111 xbt_graphxml_usage_DEPENDENCIES = $(LDADD_SG)
112 xbt_heap_bench_SOURCES = xbt/heap_bench.c
113 xbt_heap_bench_OBJECTS = heap_bench.$(OBJEXT)
114 xbt_heap_bench_DEPENDENCIES = $(LDADD_RL)
115 xbt_log_usage_SOURCES = xbt/log_usage.c
116 xbt_log_usage_OBJECTS = log_usage.$(OBJEXT)
117 xbt_log_usage_DEPENDENCIES = $(LDADD_RL)
118 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
119 depcomp = $(SHELL) $(top_srcdir)/depcomp
120 am__depfiles_maybe = depfiles
121 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
122         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
123 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
124         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
125         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
126 CCLD = $(CC)
127 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
128         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
129         $(LDFLAGS) -o $@
130 SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
131         gras/trp_file_server.c gras/trp_tcp_client.c \
132         gras/trp_tcp_server.c simdag/sd_test.c surf/maxmin_bench.c \
133         surf/maxmin_usage.c surf/simeng_usage.c surf/surf_usage.c \
134         surf/surf_usage2.c surf/trace_usage.c xbt/context_usage.c \
135         xbt/graphxml_usage.c xbt/heap_bench.c xbt/log_usage.c
136 DIST_SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
137         gras/trp_file_server.c gras/trp_tcp_client.c \
138         gras/trp_tcp_server.c simdag/sd_test.c surf/maxmin_bench.c \
139         surf/maxmin_usage.c surf/simeng_usage.c surf/surf_usage.c \
140         surf/surf_usage2.c surf/trace_usage.c xbt/context_usage.c \
141         xbt/graphxml_usage.c xbt/heap_bench.c xbt/log_usage.c
142 ETAGS = etags
143 CTAGS = ctags
144 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
145 ACLOCAL = @ACLOCAL@
146 ADDR2LINE = @ADDR2LINE@
147 AMTAR = @AMTAR@
148 AM_CFLAGS = -g
149 AR = @AR@
150 AS = @AS@
151 AUTOCONF = @AUTOCONF@
152 AUTOHEADER = @AUTOHEADER@
153 AUTOMAKE = @AUTOMAKE@
154 AWK = @AWK@
155 BASH = @BASH@
156 CC = @CC@
157 CCDEPMODE = @CCDEPMODE@
158 CFLAGS = @CFLAGS@
159 CPP = @CPP@
160 CPPFLAGS = @CPPFLAGS@
161 CXX = @CXX@
162 CXXCPP = @CXXCPP@
163 CXXDEPMODE = @CXXDEPMODE@
164 CXXFLAGS = @CXXFLAGS@
165 CYGPATH_W = @CYGPATH_W@
166 DEFS = @DEFS@
167 DEPDIR = @DEPDIR@
168 DLLTOOL = @DLLTOOL@
169 DOXYGEN = @DOXYGEN@
170 ECHO = @ECHO@
171 ECHO_C = @ECHO_C@
172 ECHO_N = @ECHO_N@
173 ECHO_T = @ECHO_T@
174 EGREP = @EGREP@
175 EXEEXT = @EXEEXT@
176 FLEXML = @FLEXML@
177 GCJ = @GCJ@
178 GCJDEPMODE = @GCJDEPMODE@
179 GCJFLAGS = @GCJFLAGS@
180 GRAS_DEP = @GRAS_DEP@
181 GREP = @GREP@
182 INSTALL = @INSTALL@
183 INSTALL_DATA = @INSTALL_DATA@
184 INSTALL_PROGRAM = @INSTALL_PROGRAM@
185 INSTALL_SCRIPT = @INSTALL_SCRIPT@
186 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
187 JAR = @JAR@
188 JAVA = @JAVA@
189 JAVAC = @JAVAC@
190 LDFLAGS = @LDFLAGS@
191 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
192 LEX = @LEX@
193 LEXLIB = @LEXLIB@
194 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
195 LIBOBJS = @LIBOBJS@
196 LIBS = @LIBS@
197 LIBTOOL = @LIBTOOL@
198 LN_S = @LN_S@
199 LTLIBOBJS = @LTLIBOBJS@
200 MAINT = @MAINT@
201 MAKEINFO = @MAKEINFO@
202 MD5SUM = @MD5SUM@
203 MKDIR_P = @MKDIR_P@
204 OBJDUMP = @OBJDUMP@
205 OBJEXT = @OBJEXT@
206 PACKAGE = @PACKAGE@
207 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
208 PACKAGE_NAME = @PACKAGE_NAME@
209 PACKAGE_STRING = @PACKAGE_STRING@
210 PACKAGE_TARNAME = @PACKAGE_TARNAME@
211 PACKAGE_VERSION = @PACKAGE_VERSION@
212 PATH_SEPARATOR = @PATH_SEPARATOR@
213 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
214 RANLIB = @RANLIB@
215 SET_MAKE = @SET_MAKE@
216 SHELL = @SHELL@
217 SIMGRID_DEP = @SIMGRID_DEP@
218 STRIP = @STRIP@
219 VERSION = @VERSION@
220 WARNING = @WARNING@
221 abs_builddir = @abs_builddir@
222 abs_srcdir = @abs_srcdir@
223 abs_top_builddir = @abs_top_builddir@
224 abs_top_srcdir = @abs_top_srcdir@
225 ac_configure_args = @ac_configure_args@
226 ac_ct_CC = @ac_ct_CC@
227 ac_ct_CXX = @ac_ct_CXX@
228 am__include = @am__include@
229 am__leading_dot = @am__leading_dot@
230 am__quote = @am__quote@
231 am__tar = @am__tar@
232 am__untar = @am__untar@
233 bindir = @bindir@
234 build = @build@
235 build_alias = @build_alias@
236 build_cpu = @build_cpu@
237 build_id = @build_id@
238 build_os = @build_os@
239 build_vendor = @build_vendor@
240 builddir = @builddir@
241 datadir = @datadir@
242 datarootdir = @datarootdir@
243 docdir = @docdir@
244 dvidir = @dvidir@
245 exec_prefix = @exec_prefix@
246 host = @host@
247 host_alias = @host_alias@
248 host_cpu = @host_cpu@
249 host_os = @host_os@
250 host_vendor = @host_vendor@
251 htmldir = @htmldir@
252 includedir = @includedir@
253 infodir = @infodir@
254 install_sh = @install_sh@
255 libdir = @libdir@
256 libexecdir = @libexecdir@
257 localedir = @localedir@
258 localstatedir = @localstatedir@
259 mandir = @mandir@
260 mkdir_p = @mkdir_p@
261 oldincludedir = @oldincludedir@
262 pdfdir = @pdfdir@
263 prefix = @prefix@
264 program_transform_name = @program_transform_name@
265 psdir = @psdir@
266 pth_skaddr_makecontext = @pth_skaddr_makecontext@
267 pth_sksize_makecontext = @pth_sksize_makecontext@
268 sbindir = @sbindir@
269 sharedstatedir = @sharedstatedir@
270 srcdir = @srcdir@
271 sysconfdir = @sysconfdir@
272 target = @target@
273 target_alias = @target_alias@
274 target_cpu = @target_cpu@
275 target_os = @target_os@
276 target_vendor = @target_vendor@
277 top_builddir = @top_builddir@
278 top_srcdir = @top_srcdir@
279 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
280 CLEANFILES = *~ test a.out *.o gras/datadesc_usage.out datadesc_usage.out\
281   testgraph.xml testgraph.dot
282
283 DISTCLEANFILES = gras/.libs/* xbt/.libs/* surf/.libs/* msg/.libs/* simdag/.libs/*
284 EXTRA_DIST = run_tests.in \
285   gras/datadesc.little32 gras/datadesc.little32_4 \
286   gras/datadesc.little64\
287   gras/datadesc.big32 gras/datadesc.big32_8_4 gras/datadesc.big32_2 \
288   gras/mk_datadesc_structs.pl \
289   xbt/graph.xml \
290   surf/trace_A.txt surf/trace_B.txt surf/trace_A_failure.txt surf/platform.xml\
291   simdag/availability_tremblay.txt simdag/small_platform_variable.xml
292
293
294 # Data sets still to regenerate:
295 # gras/datadesc.big64 
296 # gras/datadesc.big32_4 
297
298 # Test stuff
299 xbt_tests = \
300         xbt/log_usage                                            \
301         xbt/heap_bench                                           \
302         xbt/graphxml_usage                                       \
303         xbt/context_usage                                        
304
305 RL_tests = \
306         gras/trp_tcp_client   gras/trp_tcp_server       \
307         gras/trp_file_client  gras/trp_file_server      \
308         gras/datadesc_usage                             
309
310 SG_tests = \
311         surf/maxmin_usage surf/maxmin_bench surf/simeng_usage \
312         surf/trace_usage surf/surf_usage surf/surf_usage2
313
314 #if HAVE_SDP
315 #  SG_tests+=surf/sdp_usage
316 #endif
317 simdag_tests = simdag/sd_test
318 check_SCRIPTS = run_tests gras/trp_tcp_usage
319 TESTS = run_tests
320
321 # LDADD_UTILS is still a separate var to distinguish core tester from RL tester
322 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la 
323 LDADD_RL = $(abs_top_builddir)/src/libgras.la   
324 xbt_log_usage_LDADD = $(LDADD_RL)
325 xbt_heap_bench_LDADD = $(LDADD_RL)
326 xbt_graphxml_usage_LDADD = $(LDADD_SG)
327 xbt_context_usage_LDADD = $(LDADD_SG)
328 surf_maxmin_usage_LDADD = $(LDADD_SG)
329 surf_maxmin_bench_LDADD = $(LDADD_SG)
330 surf_simeng_usage_LDADD = $(LDADD_SG)
331 surf_trace_usage_LDADD = $(LDADD_SG)
332 surf_surf_usage_LDADD = $(LDADD_SG)
333 surf_surf_usage2_LDADD = $(LDADD_SG)
334 #if HAVE_SDP
335 #surf_sdp_usage_LDADD=         $(LDADD_SG)
336 #surf_sdp_bench_LDADD=         $(LDADD_SG)
337 #endif
338 gras_trp_tcp_client_LDADD = $(LDADD_RL)
339 gras_trp_tcp_server_LDADD = $(LDADD_RL)
340 gras_trp_file_client_LDADD = $(LDADD_RL)
341 gras_trp_file_server_LDADD = $(LDADD_RL)
342 gras_datadesc_usage_SOURCES = gras/datadesc_usage.c gras/datadesc_structs.c
343 gras_datadesc_usage_LDADD = $(LDADD_RL)
344 simdag_sd_test_LDADD = $(LDADD_SG)
345 all: all-am
346
347 .SUFFIXES:
348 .SUFFIXES: .c .lo .o .obj
349 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
350         @for dep in $?; do \
351           case '$(am__configure_deps)' in \
352             *$$dep*) \
353               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
354                 && exit 0; \
355               exit 1;; \
356           esac; \
357         done; \
358         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/Makefile'; \
359         cd $(top_srcdir) && \
360           $(AUTOMAKE) --gnu  testsuite/Makefile
361 .PRECIOUS: Makefile
362 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
363         @case '$?' in \
364           *config.status*) \
365             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
366           *) \
367             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
368             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
369         esac;
370
371 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
372         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
373
374 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
375         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
376 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
377         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
378 run_tests: $(top_builddir)/config.status $(srcdir)/run_tests.in
379         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
380
381 clean-checkPROGRAMS:
382         @list='$(check_PROGRAMS)'; for p in $$list; do \
383           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
384           echo " rm -f $$p $$f"; \
385           rm -f $$p $$f ; \
386         done
387 gras/$(am__dirstamp):
388         @$(MKDIR_P) gras
389         @: > gras/$(am__dirstamp)
390 gras/datadesc_usage$(EXEEXT): $(gras_datadesc_usage_OBJECTS) $(gras_datadesc_usage_DEPENDENCIES) gras/$(am__dirstamp)
391         @rm -f gras/datadesc_usage$(EXEEXT)
392         $(LINK) $(gras_datadesc_usage_OBJECTS) $(gras_datadesc_usage_LDADD) $(LIBS)
393 gras/trp_file_client$(EXEEXT): $(gras_trp_file_client_OBJECTS) $(gras_trp_file_client_DEPENDENCIES) gras/$(am__dirstamp)
394         @rm -f gras/trp_file_client$(EXEEXT)
395         $(LINK) $(gras_trp_file_client_OBJECTS) $(gras_trp_file_client_LDADD) $(LIBS)
396 gras/trp_file_server$(EXEEXT): $(gras_trp_file_server_OBJECTS) $(gras_trp_file_server_DEPENDENCIES) gras/$(am__dirstamp)
397         @rm -f gras/trp_file_server$(EXEEXT)
398         $(LINK) $(gras_trp_file_server_OBJECTS) $(gras_trp_file_server_LDADD) $(LIBS)
399 gras/trp_tcp_client$(EXEEXT): $(gras_trp_tcp_client_OBJECTS) $(gras_trp_tcp_client_DEPENDENCIES) gras/$(am__dirstamp)
400         @rm -f gras/trp_tcp_client$(EXEEXT)
401         $(LINK) $(gras_trp_tcp_client_OBJECTS) $(gras_trp_tcp_client_LDADD) $(LIBS)
402 gras/trp_tcp_server$(EXEEXT): $(gras_trp_tcp_server_OBJECTS) $(gras_trp_tcp_server_DEPENDENCIES) gras/$(am__dirstamp)
403         @rm -f gras/trp_tcp_server$(EXEEXT)
404         $(LINK) $(gras_trp_tcp_server_OBJECTS) $(gras_trp_tcp_server_LDADD) $(LIBS)
405 simdag/$(am__dirstamp):
406         @$(MKDIR_P) simdag
407         @: > simdag/$(am__dirstamp)
408 simdag/sd_test$(EXEEXT): $(simdag_sd_test_OBJECTS) $(simdag_sd_test_DEPENDENCIES) simdag/$(am__dirstamp)
409         @rm -f simdag/sd_test$(EXEEXT)
410         $(LINK) $(simdag_sd_test_OBJECTS) $(simdag_sd_test_LDADD) $(LIBS)
411 surf/$(am__dirstamp):
412         @$(MKDIR_P) surf
413         @: > surf/$(am__dirstamp)
414 surf/maxmin_bench$(EXEEXT): $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_DEPENDENCIES) surf/$(am__dirstamp)
415         @rm -f surf/maxmin_bench$(EXEEXT)
416         $(LINK) $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_LDADD) $(LIBS)
417 surf/maxmin_usage$(EXEEXT): $(surf_maxmin_usage_OBJECTS) $(surf_maxmin_usage_DEPENDENCIES) surf/$(am__dirstamp)
418         @rm -f surf/maxmin_usage$(EXEEXT)
419         $(LINK) $(surf_maxmin_usage_OBJECTS) $(surf_maxmin_usage_LDADD) $(LIBS)
420 surf/simeng_usage$(EXEEXT): $(surf_simeng_usage_OBJECTS) $(surf_simeng_usage_DEPENDENCIES) surf/$(am__dirstamp)
421         @rm -f surf/simeng_usage$(EXEEXT)
422         $(LINK) $(surf_simeng_usage_OBJECTS) $(surf_simeng_usage_LDADD) $(LIBS)
423 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
424         @rm -f surf/surf_usage$(EXEEXT)
425         $(LINK) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
426 surf/surf_usage2$(EXEEXT): $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_DEPENDENCIES) surf/$(am__dirstamp)
427         @rm -f surf/surf_usage2$(EXEEXT)
428         $(LINK) $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_LDADD) $(LIBS)
429 surf/trace_usage$(EXEEXT): $(surf_trace_usage_OBJECTS) $(surf_trace_usage_DEPENDENCIES) surf/$(am__dirstamp)
430         @rm -f surf/trace_usage$(EXEEXT)
431         $(LINK) $(surf_trace_usage_OBJECTS) $(surf_trace_usage_LDADD) $(LIBS)
432 xbt/$(am__dirstamp):
433         @$(MKDIR_P) xbt
434         @: > xbt/$(am__dirstamp)
435 xbt/context_usage$(EXEEXT): $(xbt_context_usage_OBJECTS) $(xbt_context_usage_DEPENDENCIES) xbt/$(am__dirstamp)
436         @rm -f xbt/context_usage$(EXEEXT)
437         $(LINK) $(xbt_context_usage_OBJECTS) $(xbt_context_usage_LDADD) $(LIBS)
438 xbt/graphxml_usage$(EXEEXT): $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_DEPENDENCIES) xbt/$(am__dirstamp)
439         @rm -f xbt/graphxml_usage$(EXEEXT)
440         $(LINK) $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_LDADD) $(LIBS)
441 xbt/heap_bench$(EXEEXT): $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_DEPENDENCIES) xbt/$(am__dirstamp)
442         @rm -f xbt/heap_bench$(EXEEXT)
443         $(LINK) $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_LDADD) $(LIBS)
444 xbt/log_usage$(EXEEXT): $(xbt_log_usage_OBJECTS) $(xbt_log_usage_DEPENDENCIES) xbt/$(am__dirstamp)
445         @rm -f xbt/log_usage$(EXEEXT)
446         $(LINK) $(xbt_log_usage_OBJECTS) $(xbt_log_usage_LDADD) $(LIBS)
447
448 mostlyclean-compile:
449         -rm -f *.$(OBJEXT)
450
451 distclean-compile:
452         -rm -f *.tab.c
453
454 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_usage.Po@am__quote@
455 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_structs.Po@am__quote@
456 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_usage.Po@am__quote@
457 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphxml_usage.Po@am__quote@
458 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heap_bench.Po@am__quote@
459 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_usage.Po@am__quote@
460 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
461 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_usage.Po@am__quote@
462 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
463 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/simeng_usage.Po@am__quote@
464 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
465 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
466 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
467 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_file_client.Po@am__quote@
468 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_file_server.Po@am__quote@
469 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_tcp_client.Po@am__quote@
470 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_tcp_server.Po@am__quote@
471
472 .c.o:
473 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
474 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
475 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
476 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
477 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
478
479 .c.obj:
480 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
481 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
482 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
483 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
484 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
485
486 .c.lo:
487 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
488 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
489 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
490 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
491 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
492
493 datadesc_usage.o: gras/datadesc_usage.c
494 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.o -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.o `test -f 'gras/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc_usage.c
495 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
496 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_usage.c' object='datadesc_usage.o' libtool=no @AMDEPBACKSLASH@
497 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
498 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.o `test -f 'gras/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc_usage.c
499
500 datadesc_usage.obj: gras/datadesc_usage.c
501 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.obj -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.obj `if test -f 'gras/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_usage.c'; fi`
502 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
503 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_usage.c' object='datadesc_usage.obj' libtool=no @AMDEPBACKSLASH@
504 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
505 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.obj `if test -f 'gras/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_usage.c'; fi`
506
507 datadesc_structs.o: gras/datadesc_structs.c
508 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.o -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.o `test -f 'gras/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc_structs.c
509 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
510 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_structs.c' object='datadesc_structs.o' libtool=no @AMDEPBACKSLASH@
511 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
512 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.o `test -f 'gras/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc_structs.c
513
514 datadesc_structs.obj: gras/datadesc_structs.c
515 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.obj -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.obj `if test -f 'gras/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_structs.c'; fi`
516 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
517 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_structs.c' object='datadesc_structs.obj' libtool=no @AMDEPBACKSLASH@
518 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
519 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.obj `if test -f 'gras/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_structs.c'; fi`
520
521 trp_file_client.o: gras/trp_file_client.c
522 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_client.o -MD -MP -MF $(DEPDIR)/trp_file_client.Tpo -c -o trp_file_client.o `test -f 'gras/trp_file_client.c' || echo '$(srcdir)/'`gras/trp_file_client.c
523 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_client.Tpo $(DEPDIR)/trp_file_client.Po
524 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_client.c' object='trp_file_client.o' libtool=no @AMDEPBACKSLASH@
525 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
526 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_client.o `test -f 'gras/trp_file_client.c' || echo '$(srcdir)/'`gras/trp_file_client.c
527
528 trp_file_client.obj: gras/trp_file_client.c
529 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_client.obj -MD -MP -MF $(DEPDIR)/trp_file_client.Tpo -c -o trp_file_client.obj `if test -f 'gras/trp_file_client.c'; then $(CYGPATH_W) 'gras/trp_file_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_client.c'; fi`
530 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_client.Tpo $(DEPDIR)/trp_file_client.Po
531 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_client.c' object='trp_file_client.obj' libtool=no @AMDEPBACKSLASH@
532 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
533 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_client.obj `if test -f 'gras/trp_file_client.c'; then $(CYGPATH_W) 'gras/trp_file_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_client.c'; fi`
534
535 trp_file_server.o: gras/trp_file_server.c
536 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_server.o -MD -MP -MF $(DEPDIR)/trp_file_server.Tpo -c -o trp_file_server.o `test -f 'gras/trp_file_server.c' || echo '$(srcdir)/'`gras/trp_file_server.c
537 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_server.Tpo $(DEPDIR)/trp_file_server.Po
538 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_server.c' object='trp_file_server.o' libtool=no @AMDEPBACKSLASH@
539 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
540 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_server.o `test -f 'gras/trp_file_server.c' || echo '$(srcdir)/'`gras/trp_file_server.c
541
542 trp_file_server.obj: gras/trp_file_server.c
543 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_server.obj -MD -MP -MF $(DEPDIR)/trp_file_server.Tpo -c -o trp_file_server.obj `if test -f 'gras/trp_file_server.c'; then $(CYGPATH_W) 'gras/trp_file_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_server.c'; fi`
544 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_server.Tpo $(DEPDIR)/trp_file_server.Po
545 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_server.c' object='trp_file_server.obj' libtool=no @AMDEPBACKSLASH@
546 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
547 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_server.obj `if test -f 'gras/trp_file_server.c'; then $(CYGPATH_W) 'gras/trp_file_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_server.c'; fi`
548
549 trp_tcp_client.o: gras/trp_tcp_client.c
550 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_client.o -MD -MP -MF $(DEPDIR)/trp_tcp_client.Tpo -c -o trp_tcp_client.o `test -f 'gras/trp_tcp_client.c' || echo '$(srcdir)/'`gras/trp_tcp_client.c
551 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_client.Tpo $(DEPDIR)/trp_tcp_client.Po
552 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_client.c' object='trp_tcp_client.o' libtool=no @AMDEPBACKSLASH@
553 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
554 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_client.o `test -f 'gras/trp_tcp_client.c' || echo '$(srcdir)/'`gras/trp_tcp_client.c
555
556 trp_tcp_client.obj: gras/trp_tcp_client.c
557 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_client.obj -MD -MP -MF $(DEPDIR)/trp_tcp_client.Tpo -c -o trp_tcp_client.obj `if test -f 'gras/trp_tcp_client.c'; then $(CYGPATH_W) 'gras/trp_tcp_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_client.c'; fi`
558 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_client.Tpo $(DEPDIR)/trp_tcp_client.Po
559 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_client.c' object='trp_tcp_client.obj' libtool=no @AMDEPBACKSLASH@
560 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
561 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_client.obj `if test -f 'gras/trp_tcp_client.c'; then $(CYGPATH_W) 'gras/trp_tcp_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_client.c'; fi`
562
563 trp_tcp_server.o: gras/trp_tcp_server.c
564 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_server.o -MD -MP -MF $(DEPDIR)/trp_tcp_server.Tpo -c -o trp_tcp_server.o `test -f 'gras/trp_tcp_server.c' || echo '$(srcdir)/'`gras/trp_tcp_server.c
565 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_server.Tpo $(DEPDIR)/trp_tcp_server.Po
566 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_server.c' object='trp_tcp_server.o' libtool=no @AMDEPBACKSLASH@
567 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
568 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_server.o `test -f 'gras/trp_tcp_server.c' || echo '$(srcdir)/'`gras/trp_tcp_server.c
569
570 trp_tcp_server.obj: gras/trp_tcp_server.c
571 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_server.obj -MD -MP -MF $(DEPDIR)/trp_tcp_server.Tpo -c -o trp_tcp_server.obj `if test -f 'gras/trp_tcp_server.c'; then $(CYGPATH_W) 'gras/trp_tcp_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_server.c'; fi`
572 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_server.Tpo $(DEPDIR)/trp_tcp_server.Po
573 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_server.c' object='trp_tcp_server.obj' libtool=no @AMDEPBACKSLASH@
574 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
575 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_server.obj `if test -f 'gras/trp_tcp_server.c'; then $(CYGPATH_W) 'gras/trp_tcp_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_server.c'; fi`
576
577 sd_test.o: simdag/sd_test.c
578 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.o -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
579 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
580 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.o' libtool=no @AMDEPBACKSLASH@
581 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
582 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
583
584 sd_test.obj: simdag/sd_test.c
585 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.obj -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
586 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
587 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.obj' libtool=no @AMDEPBACKSLASH@
588 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
589 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
590
591 maxmin_bench.o: surf/maxmin_bench.c
592 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.o -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
593 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
594 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.o' libtool=no @AMDEPBACKSLASH@
595 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
596 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
597
598 maxmin_bench.obj: surf/maxmin_bench.c
599 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.obj -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
600 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
601 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.obj' libtool=no @AMDEPBACKSLASH@
602 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
603 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
604
605 maxmin_usage.o: surf/maxmin_usage.c
606 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_usage.o -MD -MP -MF $(DEPDIR)/maxmin_usage.Tpo -c -o maxmin_usage.o `test -f 'surf/maxmin_usage.c' || echo '$(srcdir)/'`surf/maxmin_usage.c
607 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_usage.Tpo $(DEPDIR)/maxmin_usage.Po
608 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_usage.c' object='maxmin_usage.o' libtool=no @AMDEPBACKSLASH@
609 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
610 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_usage.o `test -f 'surf/maxmin_usage.c' || echo '$(srcdir)/'`surf/maxmin_usage.c
611
612 maxmin_usage.obj: surf/maxmin_usage.c
613 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_usage.obj -MD -MP -MF $(DEPDIR)/maxmin_usage.Tpo -c -o maxmin_usage.obj `if test -f 'surf/maxmin_usage.c'; then $(CYGPATH_W) 'surf/maxmin_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_usage.c'; fi`
614 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_usage.Tpo $(DEPDIR)/maxmin_usage.Po
615 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_usage.c' object='maxmin_usage.obj' libtool=no @AMDEPBACKSLASH@
616 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
617 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_usage.obj `if test -f 'surf/maxmin_usage.c'; then $(CYGPATH_W) 'surf/maxmin_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_usage.c'; fi`
618
619 simeng_usage.o: surf/simeng_usage.c
620 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT simeng_usage.o -MD -MP -MF $(DEPDIR)/simeng_usage.Tpo -c -o simeng_usage.o `test -f 'surf/simeng_usage.c' || echo '$(srcdir)/'`surf/simeng_usage.c
621 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/simeng_usage.Tpo $(DEPDIR)/simeng_usage.Po
622 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/simeng_usage.c' object='simeng_usage.o' libtool=no @AMDEPBACKSLASH@
623 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
624 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o simeng_usage.o `test -f 'surf/simeng_usage.c' || echo '$(srcdir)/'`surf/simeng_usage.c
625
626 simeng_usage.obj: surf/simeng_usage.c
627 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT simeng_usage.obj -MD -MP -MF $(DEPDIR)/simeng_usage.Tpo -c -o simeng_usage.obj `if test -f 'surf/simeng_usage.c'; then $(CYGPATH_W) 'surf/simeng_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/simeng_usage.c'; fi`
628 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/simeng_usage.Tpo $(DEPDIR)/simeng_usage.Po
629 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/simeng_usage.c' object='simeng_usage.obj' libtool=no @AMDEPBACKSLASH@
630 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
631 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o simeng_usage.obj `if test -f 'surf/simeng_usage.c'; then $(CYGPATH_W) 'surf/simeng_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/simeng_usage.c'; fi`
632
633 surf_usage.o: surf/surf_usage.c
634 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
635 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
636 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.o' libtool=no @AMDEPBACKSLASH@
637 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
638 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
639
640 surf_usage.obj: surf/surf_usage.c
641 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.obj -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
642 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
643 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.obj' libtool=no @AMDEPBACKSLASH@
644 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
645 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
646
647 surf_usage2.o: surf/surf_usage2.c
648 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.o -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
649 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
650 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.o' libtool=no @AMDEPBACKSLASH@
651 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
652 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
653
654 surf_usage2.obj: surf/surf_usage2.c
655 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.obj -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
656 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
657 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.obj' libtool=no @AMDEPBACKSLASH@
658 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
659 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
660
661 trace_usage.o: surf/trace_usage.c
662 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.o -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
663 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
664 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.o' libtool=no @AMDEPBACKSLASH@
665 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
666 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
667
668 trace_usage.obj: surf/trace_usage.c
669 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.obj -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
670 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
671 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.obj' libtool=no @AMDEPBACKSLASH@
672 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
673 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
674
675 context_usage.o: xbt/context_usage.c
676 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.o -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
677 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
678 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.o' libtool=no @AMDEPBACKSLASH@
679 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
680 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
681
682 context_usage.obj: xbt/context_usage.c
683 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.obj -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
684 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
685 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.obj' libtool=no @AMDEPBACKSLASH@
686 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
687 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
688
689 graphxml_usage.o: xbt/graphxml_usage.c
690 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.o -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
691 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
692 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.o' libtool=no @AMDEPBACKSLASH@
693 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
694 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
695
696 graphxml_usage.obj: xbt/graphxml_usage.c
697 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.obj -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
698 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
699 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.obj' libtool=no @AMDEPBACKSLASH@
700 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
701 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
702
703 heap_bench.o: xbt/heap_bench.c
704 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.o -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
705 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
706 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.o' libtool=no @AMDEPBACKSLASH@
707 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
708 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
709
710 heap_bench.obj: xbt/heap_bench.c
711 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.obj -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
712 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
713 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.obj' libtool=no @AMDEPBACKSLASH@
714 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
715 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
716
717 log_usage.o: xbt/log_usage.c
718 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.o -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
719 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
720 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.o' libtool=no @AMDEPBACKSLASH@
721 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
722 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
723
724 log_usage.obj: xbt/log_usage.c
725 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.obj -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
726 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
727 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.obj' libtool=no @AMDEPBACKSLASH@
728 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
729 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
730
731 mostlyclean-libtool:
732         -rm -f *.lo
733
734 clean-libtool:
735         -rm -rf .libs _libs
736
737 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
738         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
739         unique=`for i in $$list; do \
740             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
741           done | \
742           $(AWK) '    { files[$$0] = 1; } \
743                END { for (i in files) print i; }'`; \
744         mkid -fID $$unique
745 tags: TAGS
746
747 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
748                 $(TAGS_FILES) $(LISP)
749         tags=; \
750         here=`pwd`; \
751         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
752         unique=`for i in $$list; do \
753             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
754           done | \
755           $(AWK) '    { files[$$0] = 1; } \
756                END { for (i in files) print i; }'`; \
757         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
758           test -n "$$unique" || unique=$$empty_fix; \
759           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
760             $$tags $$unique; \
761         fi
762 ctags: CTAGS
763 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
764                 $(TAGS_FILES) $(LISP)
765         tags=; \
766         here=`pwd`; \
767         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
768         unique=`for i in $$list; do \
769             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
770           done | \
771           $(AWK) '    { files[$$0] = 1; } \
772                END { for (i in files) print i; }'`; \
773         test -z "$(CTAGS_ARGS)$$tags$$unique" \
774           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
775              $$tags $$unique
776
777 GTAGS:
778         here=`$(am__cd) $(top_builddir) && pwd` \
779           && cd $(top_srcdir) \
780           && gtags -i $(GTAGS_ARGS) $$here
781
782 distclean-tags:
783         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
784
785 check-TESTS: $(TESTS)
786         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
787         srcdir=$(srcdir); export srcdir; \
788         list=' $(TESTS) '; \
789         if test -n "$$list"; then \
790           for tst in $$list; do \
791             if test -f ./$$tst; then dir=./; \
792             elif test -f $$tst; then dir=; \
793             else dir="$(srcdir)/"; fi; \
794             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
795               all=`expr $$all + 1`; \
796               case " $(XFAIL_TESTS) " in \
797               *$$ws$$tst$$ws*) \
798                 xpass=`expr $$xpass + 1`; \
799                 failed=`expr $$failed + 1`; \
800                 echo "XPASS: $$tst"; \
801               ;; \
802               *) \
803                 echo "PASS: $$tst"; \
804               ;; \
805               esac; \
806             elif test $$? -ne 77; then \
807               all=`expr $$all + 1`; \
808               case " $(XFAIL_TESTS) " in \
809               *$$ws$$tst$$ws*) \
810                 xfail=`expr $$xfail + 1`; \
811                 echo "XFAIL: $$tst"; \
812               ;; \
813               *) \
814                 failed=`expr $$failed + 1`; \
815                 echo "FAIL: $$tst"; \
816               ;; \
817               esac; \
818             else \
819               skip=`expr $$skip + 1`; \
820               echo "SKIP: $$tst"; \
821             fi; \
822           done; \
823           if test "$$failed" -eq 0; then \
824             if test "$$xfail" -eq 0; then \
825               banner="All $$all tests passed"; \
826             else \
827               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
828             fi; \
829           else \
830             if test "$$xpass" -eq 0; then \
831               banner="$$failed of $$all tests failed"; \
832             else \
833               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
834             fi; \
835           fi; \
836           dashes="$$banner"; \
837           skipped=""; \
838           if test "$$skip" -ne 0; then \
839             skipped="($$skip tests were not run)"; \
840             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
841               dashes="$$skipped"; \
842           fi; \
843           report=""; \
844           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
845             report="Please report to $(PACKAGE_BUGREPORT)"; \
846             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
847               dashes="$$report"; \
848           fi; \
849           dashes=`echo "$$dashes" | sed s/./=/g`; \
850           echo "$$dashes"; \
851           echo "$$banner"; \
852           test -z "$$skipped" || echo "$$skipped"; \
853           test -z "$$report" || echo "$$report"; \
854           echo "$$dashes"; \
855           test "$$failed" -eq 0; \
856         else :; fi
857
858 distdir: $(DISTFILES)
859         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
860         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
861         list='$(DISTFILES)'; \
862           dist_files=`for file in $$list; do echo $$file; done | \
863           sed -e "s|^$$srcdirstrip/||;t" \
864               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
865         case $$dist_files in \
866           */*) $(MKDIR_P) `echo "$$dist_files" | \
867                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
868                            sort -u` ;; \
869         esac; \
870         for file in $$dist_files; do \
871           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
872           if test -d $$d/$$file; then \
873             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
874             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
875               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
876             fi; \
877             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
878           else \
879             test -f $(distdir)/$$file \
880             || cp -p $$d/$$file $(distdir)/$$file \
881             || exit 1; \
882           fi; \
883         done
884 check-am: all-am
885         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
886         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
887 check: check-am
888 all-am: Makefile
889 installdirs:
890 install: install-am
891 install-exec: install-exec-am
892 install-data: install-data-am
893 uninstall: uninstall-am
894
895 install-am: all-am
896         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
897
898 installcheck: installcheck-am
899 install-strip:
900         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
901           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
902           `test -z '$(STRIP)' || \
903             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
904 mostlyclean-generic:
905
906 clean-generic:
907         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
908
909 distclean-generic:
910         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
911         -rm -f gras/$(am__dirstamp)
912         -rm -f simdag/$(am__dirstamp)
913         -rm -f surf/$(am__dirstamp)
914         -rm -f xbt/$(am__dirstamp)
915         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
916
917 maintainer-clean-generic:
918         @echo "This command is intended for maintainers to use"
919         @echo "it deletes files that may require special tools to rebuild."
920 clean: clean-am
921
922 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
923         mostlyclean-am
924
925 distclean: distclean-am
926         -rm -rf ./$(DEPDIR)
927         -rm -f Makefile
928 distclean-am: clean-am distclean-compile distclean-generic \
929         distclean-tags
930
931 dvi: dvi-am
932
933 dvi-am:
934
935 html: html-am
936
937 info: info-am
938
939 info-am:
940
941 install-data-am:
942
943 install-dvi: install-dvi-am
944
945 install-exec-am:
946
947 install-html: install-html-am
948
949 install-info: install-info-am
950
951 install-man:
952
953 install-pdf: install-pdf-am
954
955 install-ps: install-ps-am
956
957 installcheck-am:
958
959 maintainer-clean: maintainer-clean-am
960         -rm -rf ./$(DEPDIR)
961         -rm -f Makefile
962 maintainer-clean-am: distclean-am maintainer-clean-generic
963
964 mostlyclean: mostlyclean-am
965
966 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
967         mostlyclean-libtool
968
969 pdf: pdf-am
970
971 pdf-am:
972
973 ps: ps-am
974
975 ps-am:
976
977 uninstall-am:
978
979 .MAKE: install-am install-strip
980
981 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
982         clean-checkPROGRAMS clean-generic clean-libtool ctags \
983         distclean distclean-compile distclean-generic \
984         distclean-libtool distclean-tags distdir dvi dvi-am html \
985         html-am info info-am install install-am install-data \
986         install-data-am install-dvi install-dvi-am install-exec \
987         install-exec-am install-html install-html-am install-info \
988         install-info-am install-man install-pdf install-pdf-am \
989         install-ps install-ps-am install-strip installcheck \
990         installcheck-am installdirs maintainer-clean \
991         maintainer-clean-generic mostlyclean mostlyclean-compile \
992         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
993         tags uninstall uninstall-am
994
995
996 test: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
997         ./run_tests
998 valgrind: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
999         ./run_tests valgrind
1000
1001 gras/datadesc_structs.c: gras/mk_datadesc_structs.pl
1002         cd gras ; perl ../$(top_srcdir)/testsuite/gras/mk_datadesc_structs.pl > datadesc_structs.c
1003
1004 dist-files:
1005         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
1006         @echo
1007         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
1008 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1009 # Otherwise a system limit (for SysV at least) may be exceeded.
1010 .NOEXPORT: